FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian Development

 
 
LinkBack Thread Tools
 
Old 05-29-2011, 03:31 PM
Michael Meskes
 
Default Lintian auto-rejects

I received an auto-reject because of a lintian error message that, as my system
says, is correctly overridden. Could anyone please tell me which lintian
version we use to determine auto-rejection and also which lintian version we're
supposed to prepare overrides for?

Should the version be the same, I surely have to figure out what else is
running afoul here.

Michael
--
Michael Meskes
Michael at Fam-Meskes dot De, Michael at Meskes dot (De|Com|Net|Org)
Michael at BorussiaFan dot De, Meskes at (Debian|Postgresql) dot Org
Jabber: michael.meskes at googlemail dot com
VfL Borussia! Força Barça! Go SF 49ers! Use Debian GNU/Linux, PostgreSQL


--
To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 20110529153124.GA1028@feivel.credativ.lan">http://lists.debian.org/20110529153124.GA1028@feivel.credativ.lan
 
Old 05-29-2011, 03:32 PM
Niels Thykier
 
Default Lintian auto-rejects

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

On 2011-05-29 17:31, Michael Meskes wrote:
> I received an auto-reject because of a lintian error message that, as my system
> says, is correctly overridden. Could anyone please tell me which lintian
> version we use to determine auto-rejection and also which lintian version we're
> supposed to prepare overrides for?
>
> Should the version be the same, I surely have to figure out what else is
> running afoul here.
>
> Michael

Hi

As far as I know, the FTP masters still use 2.4.3 (before the leading
"/" and "./" was removed from file names and before the merge of
embedded-$lib -> embedded-library).

~Niels


-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBCAAGBQJN4mcMAAoJEAVLu599gGRCQacP+wR5Gfc4SB N6iwy1Z6p2F5eo
7ZGyfeFrVSJ8rHQLHMXKcd7gT4mm4qhr+mOeAY1dhRTpdILNAi +cAB6cEMDORiUZ
vZOsEBFK9ClJw8CECxrteicO2oNb2DsiwQc47sPyOova/LnpQOVoGmtRVy00d4gx
2AONPaL/m6wgpPP0Z6RAso24bnicg6jzFpXR9erMdBKUMdSOrD8jyDTowv tUDBeo
ikRduNe1VPLKwyJrSA2YOR2euEB/AWeFWb5FF6V9wrhSqS+pcRdn9hhg6z8mJFAt
4ndNtP9Moze2ABXrzvELtsrI9Rbywutw8uyInGy6GGWe601ptB/O3buCKLc/08Fu
MKlVSQE/SzcsMYHQKdYMgoaeJxd3Ap01ErjiRmsmLulIv3nEfMaPVwFUGw 2P2JtC
SgPOQ7MFjN8RvAnUblsgv8YAk8JtQPErOnLV0eQRLpjXEupfUd DTQRnOgYyCsHqm
6brIvWlKfnYfvkUepusFywtClal0WE8qZN1ViFbMCohRM5rC8x +PJ7rg3vr+A64v
Lls58qIa6lFcPE6kxVNu2slgIfPcQASW4qeGnWJ1DxrjbJXYV5 5PG9WcIH3uIUaK
6CLyRZePV/vMSswBCsbQ64OO/gVSSQDd6UMPT/DPJUTJ6qZBHKPJCC23ZbNL/CQU
zQV5OdUgSChy4RgeOyfr
=pZbn
-----END PGP SIGNATURE-----


--
To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 4DE26712.5040402@thykier.net">http://lists.debian.org/4DE26712.5040402@thykier.net
 
Old 05-29-2011, 03:35 PM
Luk Claes
 
Default Lintian auto-rejects

On 05/29/2011 05:31 PM, Michael Meskes wrote:
> I received an auto-reject because of a lintian error message that, as my system
> says, is correctly overridden. Could anyone please tell me which lintian
> version we use to determine auto-rejection and also which lintian version we're
> supposed to prepare overrides for?
>
> Should the version be the same, I surely have to figure out what else is
> running afoul here.

Not all of the rejections are weak rejections you can override:

http://ftp-master.debian.org/#rejections

Cheers

Luk


--
To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 4DE267BF.1040205@zomers.be">http://lists.debian.org/4DE267BF.1040205@zomers.be
 
Old 05-29-2011, 05:51 PM
Michael Meskes
 
Default Lintian auto-rejects

On Sun, May 29, 2011 at 05:35:27PM +0200, Luk Claes wrote:
> Not all of the rejections are weak rejections you can override:
>
> http://ftp-master.debian.org/#rejections

Right, but my one is listed as nonfatal and the email even said I should
override if I need this.

Michael
--
Michael Meskes
Michael at Fam-Meskes dot De, Michael at Meskes dot (De|Com|Net|Org)
Michael at BorussiaFan dot De, Meskes at (Debian|Postgresql) dot Org
Jabber: michael.meskes at googlemail dot com
VfL Borussia! Força Barça! Go SF 49ers! Use Debian GNU/Linux, PostgreSQL


--
To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 20110529175138.GA6254@feivel.credativ.lan">http://lists.debian.org/20110529175138.GA6254@feivel.credativ.lan
 
Old 05-29-2011, 05:52 PM
Michael Meskes
 
Default Lintian auto-rejects

> As far as I know, the FTP masters still use 2.4.3 (before the leading
> "/" and "./" was removed from file names and before the merge of
> embedded-$lib -> embedded-library).

Right, this is wha I expected as the source of the problem. Is there a reason
why the system uses an older version? Are we supposed to add both ways of
writing the overrides?

Michael
--
Michael Meskes
Michael at Fam-Meskes dot De, Michael at Meskes dot (De|Com|Net|Org)
Michael at BorussiaFan dot De, Meskes at (Debian|Postgresql) dot Org
Jabber: michael.meskes at googlemail dot com
VfL Borussia! Força Barça! Go SF 49ers! Use Debian GNU/Linux, PostgreSQL


--
To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 20110529175241.GB6254@feivel.credativ.lan">http://lists.debian.org/20110529175241.GB6254@feivel.credativ.lan
 
Old 05-29-2011, 05:59 PM
Russ Allbery
 
Default Lintian auto-rejects

Michael Meskes <meskes@debian.org> writes:

>> As far as I know, the FTP masters still use 2.4.3 (before the leading
>> "/" and "./" was removed from file names and before the merge of
>> embedded-$lib -> embedded-library).

> Right, this is wha I expected as the source of the problem. Is there a
> reason why the system uses an older version?

I suspect just lack of time plus the fact that 2.5.0 was a release
candidate until recently.

> Are we supposed to add both ways of writing the overrides?

For right now, that's probably the easiest thing to do.

--
Russ Allbery (rra@debian.org) <http://www.eyrie.org/~eagle/>


--
To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 87fwnx1j80.fsf@windlord.stanford.edu">http://lists.debian.org/87fwnx1j80.fsf@windlord.stanford.edu
 

Thread Tools




All times are GMT. The time now is 09:59 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright ©2007 - 2008, www.linux-archive.org